Make STC less sensitive to timing problems with node and app startup

Change-Id: Ia5d7d7e2301e3c94b7aa2c388831a51561bc95fa
diff --git a/tools/test/bin/onos-wait-for-command b/tools/test/bin/onos-wait-for-command
new file mode 100755
index 0000000..ec4e015
--- /dev/null
+++ b/tools/test/bin/onos-wait-for-command
@@ -0,0 +1,21 @@
+#!/bin/bash
+# -----------------------------------------------------------------------------
+# Waits for a CLI command to be runnable.
+# -----------------------------------------------------------------------------
+
+[ ! -d "$ONOS_ROOT" ] && echo "ONOS_ROOT is not defined" >&2 && exit 1
+. $ONOS_ROOT/tools/build/envDefaults
+. $ONOS_ROOT/tools/test/bin/find-node.sh
+
+node=$(find_node ${1})
+cmd="$2"
+
+remote=$ONOS_USER@$node
+
+for i in {1..10}; do
+    $ONOS_ROOT/tools/test/bin/onos $node  ${cmd} 2>/dev/null | \
+        grep -q -v 'Command not found:' && exit 0 || sleep 3
+done
+
+exit 1
+